Page MenuHomePhabricator

add support for wikimedia.xyz
Closed, ResolvedPublic

Description

This is a task to track @Slaporte's recent request to add support for wikimedia.xyz. This has recently begun being transferred into our control, so we need to add to our dns.

@Slaporte: Do we have any particular direction request for this that you are aware of? If not, I imagine we will simply have it point to wikimedia.org.

Note: Yana advised this needs to be private, so I chagned the visible/edit policies to operations, nda, and stephen.

Event Timeline

RobH created this task.Mar 12 2015, 7:16 PM
RobH raised the priority of this task from to Needs Triage.
RobH updated the task description. (Show Details)
RobH added projects: Domains, acl*sre-team.
RobH added subscribers: RobH, Slaporte.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMar 12 2015, 7:16 PM

@RobH: Please point to wikimedia.org.

@RobH: See https://www.mediawiki.org/wiki/Gerrit/Commit_message_guidelines#Auto-linking_and_cross-referencing for automatic notifications in Phab by Gerritbot (needs "Bug: " prefix) :)

@RobH: I was told that the registration credentials were sent to dns-admin@wikimedia.org. Do you have everything you need to configure the domain?

RobH claimed this task.Mar 16 2015, 4:06 PM

Yes, I just need to add this to the end of one of the deployment days this week, since it requires an apache graceful across the cluster.

Can you transfer the domain to our regular registrar?

RobH added a comment.Mar 16 2015, 9:22 PM

I've tried to get someone to review https://gerrit.wikimedia.org/r/#/c/196321/ and added various folks, however no one seems to want to review.

RobH triaged this task as High priority.Mar 16 2015, 9:22 PM
RobH set Security to None.

@Slaporte: I have no idea, I thought you guys handled the domain transfers. Did you want me to ask Doneva? (Since you initially asked us to add support, I assumed you had handled that side of things.)

Ah ok. I'm happy to do the domain transfer. Could you forward to me the registrar credentials that were emailed to dns-admin@wikimedia.org? Thanks!

RobH added subscribers: BBlack, ori.Mar 16 2015, 9:42 PM

I got reviews from @ori and @BBlack =] (thx guys!)

As such, I've added this to https://wikitech.wikimedia.org/wiki/Deployments#Tuesday.2C.C2.A0March.C2.A017 for the 2PM Pacific deployment slot.

RobH lowered the priority of this task from High to Medium.Mar 16 2015, 9:42 PM

I looked at https://en.wikipedia.org/wiki/.xyz_(domain) and I read through this task. I still don't really understand the virtue of having http://wikimedia.xyz. I understand the what here, but not the why.

@faidon very recently remarked that we should be seeking to reduce our number of domains. This task seems to work against us in that regard.

RobH added a comment.Mar 17 2015, 2:56 PM

Legal transfers domains, and we add support. Ops mgmt and legal has to have a discussion if we are to stop adding these domains.

RobH updated the task description. (Show Details)Mar 17 2015, 3:31 PM
RobH changed the visibility from "Public (No Login Required)" to "Custom Policy".
RobH changed the edit policy from "All Users" to "Custom Policy".
RobH added a subscriber: Yana.Mar 17 2015, 3:35 PM
This comment was removed by RobH.
RobH added a comment.Mar 17 2015, 8:17 PM

I had locked this task down for domain troubleshooting, but then it turned out not to need it. If I removed you, sorry ;D

RobH changed the visibility from "Custom Policy" to "Public (No Login Required)".Mar 17 2015, 8:18 PM
RobH changed the edit policy from "Custom Policy" to "All Users".
RobH added a subscriber: MZMcBride.
RobH added a comment.Mar 17 2015, 8:36 PM

DNS is now live for wikimedia.xyz. Redirection support adding @ 14:00 Pacific.

RobH closed this task as Resolved.Mar 17 2015, 9:33 PM

apache redirection support is now live.

So our cluster now supports wikimedia.xyz and redirects it to wikimedia.org.

Resolving this request.

Dzahn reopened this task as Open.Sep 15 2015, 2:31 AM
Dzahn added a subscriber: Dzahn.

reopening because we keep getting warning emails that it's about to expire

Restricted Application added a subscriber: Matanya. · View Herald TranscriptSep 15 2015, 2:31 AM
Dzahn added a comment.Sep 15 2015, 2:32 AM

Robh has mailed Stephen 4 days ago and again today.

Dzahn reassigned this task from RobH to Slaporte.Sep 15 2015, 2:33 AM

@Slaporte please advise

If this Domain Name is not renewed by 21 Sep 2015, the domain name will be DEACTIVATED

We are in the process of transferring the domain. I'll confirm or renew.

Dzahn added a comment.Sep 17 2015, 5:19 AM

@Slaporte thanks! let's talk some time about which domains we should add to our own DNS or not. we can add domains as "parked" domains that don't get any traffic if that's desired in cases like this

Change 243103 had a related patch set uploaded (by Dzahn):
unlink wikimedia.xyz from wikimedia.com and park it

https://gerrit.wikimedia.org/r/243103

Change 243103 merged by Dzahn:
unlink wikimedia.xyz from wikimedia.com and park it

https://gerrit.wikimedia.org/r/243103

Dzahn added a comment.Oct 2 2015, 10:22 PM

The domain has been parked in DNS and won't get traffic anymore.

The Apache redirect can be reverted.

Change 243338 had a related patch set uploaded (by Dzahn):
Revert "adding support to redirect wikimedia.xyz to wikimedia.org"

https://gerrit.wikimedia.org/r/243338

Dzahn added a comment.Oct 2 2015, 10:27 PM

@RobH ^ i'd revert your addition to the Apache config from back in the days. feel like reviewing/rebasing?

Change 243338 abandoned by Dzahn:
Revert "adding support to redirect wikimedia.xyz to wikimedia.org"

Reason:
rebase too much manual work, making a new patch instead of reverting this old one

https://gerrit.wikimedia.org/r/243338

Change 243354 had a related patch set uploaded (by Dzahn):
apache: remove wikimedia.xyz redirect

https://gerrit.wikimedia.org/r/243354

Dzahn claimed this task.Oct 3 2015, 12:21 AM

Change 243354 merged by Dzahn:
apache: remove wikimedia.xyz redirect

https://gerrit.wikimedia.org/r/243354

Dzahn closed this task as Resolved.Oct 5 2015, 6:32 PM

support removed, this closes the ticket cycle :)